Subject: Separate default push/pull?

From: David Abrahams <[email-masked]>
Date: Thu, 11 Feb 2010 11:36:04 -0500

If I am collaborating mostly with one other person, I typically want to
pull from his publicly-readable repo and push to mine (on which I have
write permission).  Is there any way to set things up so “git pull” and
“git push” without additional arguments will do this by default?

Thanks,

-- 
Dave Abrahams           Meet me at BoostCon: http://www.boostcon.com
BoostPro Computing
http://www.boostpro.com